option Explicit
dim files(),app,objWshShell,fso,fileName,objFolder,re,re2,max,maxFileName,newNumber,zipFileName,zipObj
dim arrHex, sBin, i, num

' Construct objects required
set objWshShell = CreateObject("WScript.Shell")
set fso=CreateObject("Scripting.FileSystemObject")
set objFolder=fso.GetFolder(objWshShell.CurrentDirectory)
set re = New RegExp
set re2 = New RegExp
set app = CreateObject("Shell.Application")

' Obtain zip file name
max=0
maxFileName=objWshShell.CurrentDirectory & "\_ver001.zip"
re.pattern="^(.*_ver)([0-9]+)(\.zip)$"
for each fileName in objFolder.Files
	if re.test(fileName) then
		if max<cInt(re.replace(fileName,"$2")) then
			max=cInt(re.replace(fileName,"$2"))
			maxFileName=fileName
		end if
	end if
next

' Construct new file name
newNumber=right("00000000" & (max+1),len(re.replace(maxFileName,"$2")))
zipFileName=re.replace(maxFileName,"$1") & newNumber & re.replace(maxFileName,"$3")

' Prepare file array
num=0
re.pattern="^.*\\(.*?)\.(gdf|sym|lnk|vbs|wp)$"
re2.pattern="^.*\([0-9]+\)\.cnf$" 'To remove xxx(1).cnf etc.
for each fileName in objFolder.Files
	if re.test(fileName) then
		redim preserve files(num)
		files(num)=fileName
		num=num+1
	end if
	if re2.test(fileName) then
		fso.DeleteFile fileName
	end if
next

'Create empty zip file
arrHex = Array(80,75,5,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)
For i = 0 To UBound(arrHex)
	sBin = sBin + Chr(arrHex(i))
Next
With fso.CreateTextFile(zipFileName, True)
	.Write sBin
	.Close
End With
'Copy the file(s) into the zip file
num=0
set zipObj=app.Namespace(zipFileName)
For Each fileName In files
	If CStr(fileName)<>"" Then
		fileName=fso.GetAbsolutePathName(fileName)
		zipObj.CopyHere(fileName)
		num=num+1
		'Wait until "CopyHere" command is done
		Do Until zipObj.items.Count=num
			WScript.sleep 1
		Loop
	End If
Next

msgbox "Created: " & zipFileName
